Bug 494241 - weechat 0.2.6.1 does not have Perl module enabled
weechat 0.2.6.1 does not have Perl module enabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: weechat (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul P Komkoff Jr
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 19:13 EDT by Wade Nelson
Modified: 2009-11-28 11:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-28 11:44:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Nelson 2009-04-05 19:13:16 EDT
Description of problem:
weechat does not load perl plugins, based on the startup text it appears it was compiled without perl support.

Version-Release number of selected component (if applicable):
  $ rpm -q weechat
  weechat-0.2.6.1-1.fc11.i586

Startup Text (typically a Perl module would also be loaded to support perl plugins):
[18:07:11]    ___       __         ______________        _____
[18:07:11]    __ |     / /___________  ____/__  /_______ __  /_
[18:07:11]    __ | /| / /_  _ \  _ \  /    __  __ \  __ `/  __/
[18:07:11]    __ |/ |/ / /  __/  __/ /___  _  / / / /_/ // /_
[18:07:11]    ____/|__/  \___/\___/\____/  /_/ /_/\__,_/ \__/
[18:07:11]	 Welcome to WeeChat, the geekest IRC client!
[18:07:11]     WeeChat 0.2.6.1, compiled on Mar 18 2009 23:14:52
[18:07:11] -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
[18:07:11] -P- Initializing plugin "Python" 0.1
[18:07:11] -P- Loading Python module "weechat"
[18:07:11] -P- Plugin "Python" (/usr/lib/weechat/plugins/python.so) loaded.
[18:07:11] -P- Initializing plugin "charset" 0.1
[18:07:11] -P- Charset plugin starting, terminal charset: UTF-8 (WeeChat internal: UTF-8)
[18:07:11] -P- Plugin "charset" (/usr/lib/weechat/plugins/charset.so) loaded.
[18:07:11] -P- Initializing plugin "Aspell" 0.1
[18:07:11] -P- [Aspell] [LOAD] options loaded
[18:07:11] -P- Plugin "Aspell" (/usr/lib/weechat/plugins/aspell.so) loaded.
[18:07:11] -P- Initializing plugin "Lua" 0.1
[18:07:11] -P- Loading Lua module "weechat"
[18:07:11] -P- Plugin "Lua" (/usr/lib/weechat/plugins/lua.so) loaded.
[18:07:11] -P- Initializing plugin "Ruby" 0.1
[18:07:11] -P- Loading Ruby module "weechat"
[18:07:11] -P- Plugin "Ruby" (/usr/lib/weechat/plugins/ruby.so) loaded.
Comment 1 Bug Zapper 2009-06-09 09:18:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Paul P Komkoff Jr 2009-11-28 11:44:57 EST
It's weechat-0.3.0 already, and it works.

Note You need to log in before you can comment on or make changes to this bug.